Package com.io7m.waxmill.xml.vm.v1

# Class WXM1BSDBootDevice.Builder

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1BSDBootDevice.Builder

Enclosing class:
  WXM1BSDBootDevice

    public static final class WXM1BSDBootDevice.Builder
    extends java.lang.Object

Builds instances of type `WXM1BSDBootDevice`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXM1BSDBootDevice` | `build()` | Builds a new `WXM1BSDBootDevice`.
  `WXM1BSDBootDevice.Builder` | `from​(WXM1BSDBootDeviceType instance)` | Fill a builder with attribute values from the provided `WXM1BSDBootDeviceType` instance.
  `WXM1BSDBootDevice.Builder` | `setDeviceSlot​(WXMDeviceSlot deviceSlot)` | Initializes the value for the `deviceSlot` attribute.
  `WXM1BSDBootDevice.Builder` | `setKernelPath​(java.nio.file.Path kernelPath)` | Initializes the value for the `kernelPath` attribute.
  `WXM1BSDBootDevice.Builder` | `setPartition​(java.lang.String partition)` | Initializes the value for the `partition` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXM1BSDBootDevice.Builder from​(WXM1BSDBootDeviceType instance)
    Fill a builder with attribute values from the provided `WXM1BSDBootDeviceType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceSlot

    public final WXM1BSDBootDevice.Builder setDeviceSlot​(WXMDeviceSlot deviceSlot)
    Initializes the value for the `deviceSlot` attribute.
    Parameters:
      `deviceSlot` - The value for deviceSlot
    Returns:
      `this` builder for use in a chained invocation

  - ### setPartition

    public final WXM1BSDBootDevice.Builder setPartition​(java.lang.String partition)
    Initializes the value for the `partition` attribute.
    Parameters:
      `partition` - The value for partition
    Returns:
      `this` builder for use in a chained invocation

  - ### setKernelPath

    public final WXM1BSDBootDevice.Builder setKernelPath​(java.nio.file.Path kernelPath)
    Initializes the value for the `kernelPath` attribute.
    Parameters:
      `kernelPath` - The value for kernelPath
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXM1BSDBootDevice build()
    Builds a new `WXM1BSDBootDevice`.
    Returns:
      An immutable instance of WXM1BSDBootDevice
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing